{*
* 2016 ROJA45.COM
* All rights reserved.
*
* DISCLAIMER
*
* Changing this file will render any support provided by us null and void.
*
*  @author 			Roja45 <support@roja45.com>
*  @copyright  		2016 roja45.com
*}

<form id="select_field_form" class="field_elements_form defaultForm form-horizontal" data-form-type='SELECT' action="{$url|escape:'html':'UTF-8'}" method="post" enctype="multipart/form-data" novalidate=""  style="display:none;">
    <div class="panel" id="select_field_element">
        <div class="panel-heading">
            <i class="icon-cogs"></i>{l s='Select Field Settings' mod='roja45quotations'}
        </div>
        <div class="alert alert-danger" style="display:none">
        </div>
        <div class="form-wrapper">
            {include file='./text_field.tpl'
                name='form_element_name'
                field_label={l s='Field Name' mod='roja45quotations'}
                required='1'
                validationMethod='isText'
                maxlength='255'
                placeholder={l s='Enter the name of the field' mod='roja45quotations'}
                onfocusout='$(this).val($(this).val().replace(/\s/g, \'_\'));'
            }
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Required' mod='roja45quotations'}">{l s='Required' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-9 ">
                    <select name="form_element_required" class="fixed-width-xl">
                        <option value="1">{l s='Yes' mod='roja45quotations'}</option>
                        <option value="0" selected="selected">{l s='No' mod='roja45quotations'}</option>
                    </select>
                </div>
            </div>
            {include
				file='./text_field.tpl'
            	field_languages=$languages
                default_lang=$defaultFormLanguage
            	id='form_element_label'
            	field_label={l s='Label' mod='roja45quotations'}
            	required='1'
            	validationMethod='isText'
            	maxlength='255'
            	placeholder={l s='Enter Your Field Label' mod='roja45quotations'}
            }
            {include
				file='./text_field.tpl'
            	field_languages=$languages
                default_lang=$defaultFormLanguage
            	id='form_element_description'
            	field_label={l s='Description' mod='roja45quotations'}
            	required='1'
            	validationMethod='isText'
            	maxlength='255'
            	placeholder={l s='Enter Your Field Description' mod='roja45quotations'}
            }

            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Contents' mod='roja45quotations'}">{l s='Contents' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-9 ">
                    <select name="form_element_contents" class="form_element_contents fixed-width-xl">
                        <option value="0" selected="selected">{l s='Select' mod='roja45quotations'}</option>
                        <option value="1">{l s='Custom' mod='roja45quotations'}</option>
                        <option value="2">{l s='Countries' mod='roja45quotations'}</option>
                    </select>
                </div>
            </div>
            <div class="field-dropdown-custom" style="display:none;">
            {include file='./textarea_field.tpl'
                field_languages=$languages
                id='form_element_select_options'
                field_label={l s='Select Options' mod='roja45quotations'}
                field_description={l s='Enter Your Select Options (1 Per line)' mod='roja45quotations'}
                placeholder={l s='Enter Your Select Options (1 Per line)' mod='roja45quotations'}
                required='1'
                rows='5'
                maxlength='255'
            }
            </div>
            {include file='./text_field.tpl'
            name='form_element_class'
            field_label={l s='Custom Class' mod='roja45quotations'}
            required='0'
            validationMethod='isText'
            placeholder={l s='Enter a custom class to be applied' mod='roja45quotations'}
            }
        </div><!-- /.form-wrapper -->

        {include file='./footer.tpl'}

    </div><!-- /select_field_form -->
</form>