{*
* 2016 ROJA45.COM
* All rights reserved.
*
* DISCLAIMER
*
* Changing this file will render any support provided by us null and void.
*
*  @author 			Roja45 <support@roja45.com>
*  @copyright  		2016 roja45.com
*}

<script type="text/javascript">
    var roja45quotations_element_name_exists = "{l s='A form element with this name already exists.' mod='roja45quotations'}";
</script>
<div id="fields_warning_dialog" title="{l s='Warning' mod='roja45quotations'}" style="display:none">
    <p>{l s='There are fields in a column that will be removed.  Please delete or move these first.' mod='roja45quotations'}</p>
</div>

<form id="roja45quotations_form" class="defaultForm form-horizontal" action="{$url|escape:'html':'UTF-8'}"
      method="post" enctype="multipart/form-data" novalidate="">
    <input type="hidden" name="submitConfiguration" value="1">

    <div class="panel" id="fieldset_0">
        <div class="panel-heading">
            <i class="icon-cogs"></i>{l s='General Settings' mod='roja45quotations'}
        </div>

        <div class="form-wrapper">
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title=""
                          data-original-title="{l s='Select YES to use Prestashop Customer Service system.' mod='roja45quotations'}">{l s='Use Customer Service?' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-4">
                    <span class="switch prestashop-switch fixed-width-lg disabled">
                        <input type="radio" name="ROJA45_QUOTATIONS_USE_CS" id="ROJA45_QUOTATIONS_USE_CS_on"
                               value="0"
                               checked="checked"
                               disabled>
                        <label for="ROJA45_QUOTATIONS_USE_CS_on">{l s='Yes' mod='roja45quotations'}</label>
                        <input type="radio" name="ROJA45_QUOTATIONS_USE_CS" id="ROJA45_QUOTATIONS_USE_CS_off"
                               value="1"
                               disabled>
                        <label for="ROJA45_QUOTATIONS_USE_CS_off">{l s='No' mod='roja45quotations'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3 required">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title=""
                          data-original-title="{l s='Quotation requests will be sent to this email address' mod='roja45quotations'}">{l s='Email Address' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-7">
                    <input type="text" name="ROJA45_QUOTATIONS_EMAIL" id="ROJA45_QUOTATIONS_EMAIL"
                           value="{$fields_value['ROJA45_QUOTATIONS_EMAIL']|escape:'html':'UTF-8'}" class=""
                           required="required">
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title=""
                          data-original-title="{l s='Name that will appear in the to field' mod='roja45quotations'}">{l s='Email Contact Name' mod='roja45quotations'}</span>
                </label>

                <div class="col-lg-7 ">
                    <input type="text" name="ROJA45_QUOTATIONS_CONTACT_NAME"
                           id="ROJA45_QUOTATIONS_CONTACT_NAME"
                           value="{$fields_value['ROJA45_QUOTATIONS_CONTACT_NAME']|escape:'html':'UTF-8'}"
                           class="" required="required">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title=""
                          data-original-title="{l s='Additional email address to blind copy request' mod='roja45quotations'}">{l s='BCC Email' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-7">
                    <input type="text" name="ROJA45_QUOTATIONS_CONTACT_BCC" id="ROJA45_QUOTATIONS_CONTACT_BCC"
                           value="{$fields_value['ROJA45_QUOTATIONS_CONTACT_BCC']|escape:'html':'UTF-8'}" class="">
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title=""
                          data-original-title="{$products.hint|escape:'html':'UTF-8'}">{$products.label|escape:'html':'UTF-8'}</span>
                </label>
                <div class="col-lg-7">
                    <div class="form-control-static row">
                        <div class="col-xs-6">
                            <select {if isset($products.size)}size="{$products.size|escape:'html':'UTF-8'}"{/if}
                                    class="{if isset($products.class)}{$products.class|escape:'html':'UTF-8'}{/if}"
                                    id="availableSwap" name="{$products.name|escape:'html':'UTF-8'}_available[]"
                                    multiple="multiple">
                                {foreach $products.options.query AS $option}
                                    {if is_object($option)}
                                        {if !in_array($option->$products.options.id, $fields_value['ROJA45_QUOTATIONS_ENABLED_PRODUCTS'])}
                                            <option value="{$option->$products.options.id|escape:'html':'UTF-8'}">{$option->$products.options.name|escape:'html':'UTF-8'}</option>
                                        {/if}
                                    {elseif $option == "-"}
                                        <option value="">-</option>
                                    {else}
                                        {if !in_array($option[$products.options.id], $fields_value['ROJA45_QUOTATIONS_ENABLED_PRODUCTS'])}
                                            <option value="{$option[$products.options.id]|escape:'html':'UTF-8'}">{$option[$products.options.name]|escape:'html':'UTF-8'}</option>
                                        {/if}
                                    {/if}
                                {/foreach}
                            </select>
                            <a href="#" id="addSwap"
                               class="btn btn-default btn-block">{l s='Add' mod='roja45quotations'} <i
                                        class="icon-arrow-right"></i></a>
                        </div>
                        <div class="col-xs-6">
                            <select {if isset($products.size)}size="{$products.size|escape:'html':'UTF-8'}"{/if}
                                    class="{if isset($products.class)}{$products.class|escape:'html':'UTF-8'}{/if}"
                                    id="selectedSwap" name="{$products.name|escape:'html':'UTF-8'}_selected[]"
                                    multiple="multiple">
                                {foreach $products.options.query AS $option}
                                    {if is_object($option)}
                                        {if in_array($option->$products.options.id, $fields_value['ROJA45_QUOTATIONS_ENABLED_PRODUCTS'])}
                                            <option value="{$option->$products.options.id|escape:'html':'UTF-8'}"
                                                    selected="selected">{$option->$products.options.name|escape:'html':'UTF-8'}</option>
                                        {/if}
                                    {elseif $option == "-"}
                                        <option value="">-</option>
                                    {else}
                                        {if in_array($option[$products.options.id], $fields_value['ROJA45_QUOTATIONS_ENABLED_PRODUCTS'])}
                                            <option value="{$option[$products.options.id]|escape:'html':'UTF-8'}"
                                                    selected="selected">{$option[$products.options.name]|escape:'html':'UTF-8'}</option>
                                        {/if}
                                    {/if}
                                {/foreach}
                            </select>
                            <a href="#" id="removeSwap" class="btn btn-default btn-block"><i
                                        class="icon-arrow-left"></i> {l s='Remove' mod='roja45quotations'}</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="{l s='Customers can create quotes for a single, or multiple, products.' mod='roja45quotations'}" data-original-title="{l s='Customers can create quotes for a single, or multiple, products.' mod='roja45quotations'}">{l s='Single or Multiple' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-4 disabled">
                    <select name="ROJA45_QUOTATIONS_REQUEST_TYPE" class="fixed-width-xl disabled" disabled>
                        <option value="1" {if ($fields_value['ROJA45_QUOTATIONS_REQUEST_TYPE'] == "1")}selected="selected"{/if}>{l s='Single Product Quotes' mod='roja45quotations'}</option>
                        <option value="2" {if ($fields_value['ROJA45_QUOTATIONS_REQUEST_TYPE'] == "2")}selected="selected"{/if}>{l s='Multiple Product Quotes' mod='roja45quotations'}</option>
                    </select>
                </div>
                <label class="control-label col-lg-2">
                    <span class="label-tooltip" data-html="true">{l s='Plus & Pro Only' mod='roja45quotations'}</span>
                </label>
            </div>
            <div class="form-group" class="">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="{l s='Select Yes to display a label on the product list indicating the product can be quoted.' mod='roja45quotations'}" data-original-title="{l s='Select Yes to display a label on the product list indicating the product can be quoted.' mod='roja45quotations'}">{l s='Display Label' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-4">
                    <span class="switch prestashop-switch fixed-width-lg disabled">
                        <input type="radio" name="ROJA45_QUOTATIONS_DISPLAY_LABEL" id="ROJA45_QUOTATIONS_DISPLAY_LABEL_on" value="1" {if ($fields_value['ROJA45_QUOTATIONS_DISPLAY_LABEL'] == "1")}checked="checked"{/if} disabled>
                        <label for="ROJA45_QUOTATIONS_DISPLAY_LABEL_on">{l s='Yes' mod='roja45quotations'}</label>
                        <input type="radio" name="ROJA45_QUOTATIONS_DISPLAY_LABEL" id="ROJA45_QUOTATIONS_DISPLAY_LABEL_off" value="0" {if ($fields_value['ROJA45_QUOTATIONS_DISPLAY_LABEL'] == "0")}checked="checked"{/if} disabled>
                        <label for="ROJA45_QUOTATIONS_DISPLAY_LABEL_off">{l s='No' mod='roja45quotations'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <label class="control-label col-lg-2">
                    <span class="label-tooltip" data-html="true">{l s='Plus & Pro Only' mod='roja45quotations'}</span>
                </label>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="{l s='Select YES to enable reCAPTCHA on the form.' mod='roja45quotations'}" data-original-title="{l s='Select YES to enable reCAPTCHA on the form.' mod='roja45quotations'}">{l s='Use reCAPTCHA?' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-4">
                    <span class="switch prestashop-switch fixed-width-lg disabled">
                        <input type="radio" name="ROJA45_QUOTATIONS_ENABLE_CAPTCHA" id="ROJA45_QUOTATIONS_ENABLE_CAPTCHA_on" value="1" {if ($fields_value['ROJA45_QUOTATIONS_ENABLE_CAPTCHA'] == "1")}checked="checked"{/if} disabled>
                        <label for="ROJA45_QUOTATIONS_ENABLE_CAPTCHA_on">{l s='Yes' mod='roja45quotations'}</label>
                        <input type="radio" name="ROJA45_QUOTATIONS_ENABLE_CAPTCHA" id="ROJA45_QUOTATIONS_ENABLE_CAPTCHA_off" value="0" {if ($fields_value['ROJA45_QUOTATIONS_ENABLE_CAPTCHA'] == "0")}checked="checked"{/if} disabled>
                        <label for="ROJA45_QUOTATIONS_ENABLE_CAPTCHA_off">{l s='No' mod='roja45quotations'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <label class="control-label col-lg-2">
                    <span class="label-tooltip" data-html="true">{l s='Plus & Pro Only' mod='roja45quotations'}</span>
                </label>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Select YES to delete all data on module uninstall (Default No).' mod='roja45quotations'}">{l s='Keep data?' mod='roja45quotations'}</span>
                </label>
                <div class="col-lg-7">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="ROJA45_QUOTATIONS_DELETETABLES" id="ROJA45_QUOTATIONS_DELETETABLES_on" value="1" {if ($fields_value['ROJA45_QUOTATIONS_DELETETABLES'] == "1")}checked="checked"{/if}>
                        <label for="ROJA45_QUOTATIONS_DELETETABLES_on">{l s='Yes' mod='roja45propertymanager'}</label>
                        <input type="radio" name="ROJA45_QUOTATIONS_DELETETABLES" id="ROJA45_QUOTATIONS_DELETETABLES_off" value="0" {if ($fields_value['ROJA45_QUOTATIONS_DELETETABLES'] == "0")}checked="checked"{/if}>
                        <label for="ROJA45_QUOTATIONS_DELETETABLES_off">{l s='No' mod='roja45propertymanager'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>
        </div><!-- /.form-wrapper -->

        <div class="panel-footer">
            <a href="{$url|escape:'html':'UTF-8'}" id="submitConfiguration"
               class="submitConfiguration btn btn-default btn btn-default pull-right"><i
                        class="process-icon-save"></i>{l s='Save Settings' mod='roja45quotations'}</a>
        </div>

    </div>

    <div class="panel" id="fieldset_1">
        <div class="panel-heading">
            <i class="icon-cogs"></i>{l s='Quotation Form Elements' mod='roja45quotations'}
        </div>

        <div class="form-wrapper">
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title=""
                          data-original-title="{l s='Select the number of columns you would like on the quotation form.' mod='roja45quotations'}">{l s='Number of Columns' mod='roja45quotations'}</span>
                </label>

                <div class="col-lg-9 ">
                    <select name="ROJA45_QUOTATIONS_NUM_COL" class="fixed-width-xl"
                            id="ROJA45_QUOTATIONS_NUM_COL">
                        <option value="1" {if ($columns == '1')}selected="selected"{/if}>1</option>
                        <option value="2" {if ($columns == '2')}selected="selected"{/if}>2&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="3" {if ($columns == '3')}selected="selected"{/if}>3&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title=""
                          data-original-title="{l s='Select a form component to add.' mod='roja45quotations'}">{l s='Select form element' mod='roja45quotations'}</span>
                </label>

                <div class="col-lg-9 ">
                    <select name="ROJA45_QUOTATIONS_FORM_ELEMENT" class="fixed-width-xl" id="ROJA45_QUOTATIONS_FORM_ELEMENT">
                        <option value="DEFAULT" selected="selected">{l s='Select form element' mod='roja45quotations'}</option>
                        <option value="TEXT">{l s='Text Field' mod='roja45quotations'}</option>
                        <option value="TEXTAREA">{l s='Text Area Field' mod='roja45quotations'}</option>
                        <option value="CHECKBOX">{l s='Checkbox' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="SWITCH">{l s='Switch' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="SELECT">{l s='Drop Down Select' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="DATE">{l s='Date Field' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                    </select>
                </div>
            </div>
        </div><!-- /.form-wrapper -->
    </div>
</form>
{include
file='./admin/text.tpl'
languages=$languages
url=$url
}
{include
file='./admin/textarea.tpl'
languages=$languages
url=$url
}
<form id="QUOTATION_FORM_ELEMENTS" class="defaultForm form-horizontal" action="{$url|escape:'html':'UTF-8'}"
      method="post" enctype="multipart/form-data" novalidate="">
    <div class="panel" id="fieldset_2">
        <input type="hidden" name="ROJA45_QUOTATIONS_NUM_COL" value="{$columns|escape:'html':'UTF-8'}"/>
        <input type="hidden" name="ROJA45_QUOTATIONS_FORM_ID" value="{$form.id|escape:'html':'UTF-8'}"/>
        <div class="panel-heading">
            <i class="icon-cogs"></i>{l s='Quotation Form Design' mod='roja45quotations'}
        </div>

        <div class="form-wrapper">
            <div class="form-group">
                <div id="form_design_columns" class="col-md-12">
                    {for $col_counter=1 to $columns}
                        {assign var=field_title value="form_element_column_title_"|cat:{$col_counter|escape:'html':'UTF-8'}}
                        <section id="sortable{$col_counter|escape:'html':'UTF-8'}"
                                 data-column="{$col_counter|escape:'html':'UTF-8'}"
                                 class="form-column col-lg-{$col_width|escape:'html':'UTF-8'}">
                            <section id="form_design_column_{$col_counter|escape:'html':'UTF-8'}"
                                     class="filter_panel col-xs-12">
                                <header class="clearfix">
                                    <div class="panel-heading-icon">
                                        <i class="icon-list-ul"></i>
                                    </div>
                                    <div class="panel-heading-name">
                                        <input
                                                type="text"
                                                class="form-column-title"
                                                name="{$field_title|escape:'html':'UTF-8'}" {if isset($form.titles.$field_title)}
                                                value="{$form.titles.$field_title|escape:'html':'UTF-8'}"
                                                {else}value="Column {$col_counter|escape:'html':'UTF-8'}"
                                                {/if}data-validate="isText"
                                                onfocus='if(this.value == "Column {$col_counter|escape:'html':'UTF-8'}") { this.value = ""; }'
                                                onblur='if(this.value == "") { this.value = "Column {$col_counter|escape:'html':'UTF-8'}"; }'>
                                    </div>
                                </header>
                                <section class="filter_list">
                                    <ul class="list-unstyled droppable sortable connectedSortable">
                                        {if isset($form.fields.$col_counter)}
                                            {foreach from=$form.fields.$col_counter item=field}
                                                <li id="{$field.id|escape:'html':'UTF-8'}" class="filter_list_item"
                                                    draggable="true" data-id="{$field.id|escape:'html':'UTF-8'}"
                                                    data-name="{$field.name|escape:'html':'UTF-8'}"
                                                    data-type="{$field.type|escape:'html':'UTF-8'}"
                                                    data-column="{$col_counter|escape:'html':'UTF-8'}">
                                                    <input type="hidden" name="id"
                                                           value="{$field.id|escape:'html':'UTF-8'}"/>
                                                    <input type="hidden" name="name"
                                                           value="{$field.name|escape:'html':'UTF-8'}"/>
                                                    <input type="hidden" name="configuration"
                                                           value="{$field.configuration|escape:'html':'UTF-8'}"/>
                                                    <input type="hidden" name="type"
                                                           value="{$field.type|escape:'html':'UTF-8'}"/>
                                                    <div class="col-lg-1 drag-icon"><h4><i class="icon-bars"></i></h4>
                                                    </div>
                                                    <div class="col-lg-5">
                                                        <h4>
                                                            <span class="panel-heading-name">{$field.name|escape:'html':'UTF-8'}</span>
                                                        </h4>
                                                    </div>
                                                    <div class="col-lg-3">
                                                        <h4>
                                                            <span class="panel-heading-type">[{$field.type|escape:'html':'UTF-8'}
                                                                ]</span></h4>
                                                    </div>
                                                    <div class="col-lg-3">
                                                        <span class="panel-heading-action pull-right">
                                                            <a class="list-toolbar-btn edit-configuration" href="#"
                                                               title="Configure"><i class="process-icon-configure"></i></a>
                                                            {if $field.deletable}
                                                                <a class="list-toolbar-btn delete-configuration" href="#"
                                                                   title="Delete"><i class="process-icon-delete"></i></a>
                                                            {/if}
                                                        </span>
                                                    </div>
                                                </li>
                                            {/foreach}
                                        {/if}
                                    </ul>
                                </section>
                            </section>
                        </section>
                    {/for}
                </div>
            </div>
        </div><!-- /.form-wrapper -->
        <div class="panel-footer">
            <a href="{$url|escape:'html':'UTF-8'}" id="submitFormDesign"
               class="submitFormDesign btn btn-default btn btn-default pull-right"><i
                        class="process-icon-save"></i>{l s='Save Form' mod='roja45quotations'}</a>
        </div>
    </div><!-- /fieldset_2 -->
</form>