{*
* 2016 ROJA45.COM
* All rights reserved.
*
* DISCLAIMER
*
* Changing this file will render any support provided by us null and void.
*
*  @author 			Roja45 <support@roja45.com>
*  @copyright  		2016 roja45.com
*}

<div class="quotation_request_dialog_overlay"></div>

<div id="quotation_request_dialog" style="display:none" class="roja45quotations_dialog">
    <div class="quotation_request_dialog_modal">
        <div id="modal-wait-icon">
            <i class="icon-refresh icon-spin animated"></i>
        </div>
        <div id="modal-wait-text">
            <h2>{l s='Please wait while we send your request' mod='roja45quotations'}..</h2>
        </div>
    </div>
    <div class="quotation_request_dialog_msg success" style="display:none">
        <div id="modal-msg">
            <i class="icon-check"></i>
            <h2>{l s='Request has been sent, we will replay back as soon as possible.' mod='roja45quotations'}</h2>
        </div>
    </div>
    <div class="quotation_request_dialog_msg error" style="display:none">
        <div id="modal-msg">
            <i class="icon-times"></i>
            <h2>{l s='Unable to send your request' mod='roja45quotations'}</h2>
        </div>
    </div>

    <input type="hidden" name="DIALOG_HEADING" value="{l s='Request A Quote' mod='roja45quotations'}"/>

    <form action="{$roja45quotations_controller|escape:'html':'UTF-8'}" method="post" id="quotations_form"
          class="std box">
        <input type="hidden" name="ROJA45_QUOTATIONS_ID_PRODUCT"/>
        <input type="hidden" name="ROJA45_QUOTATIONS_ID_COMBINATION"/>
        <input type="hidden" name="ROJA45_QUOTATIONS_PRODUCT_TITLE"/>
        <h3 class="page-heading">{l s='Request A Quote' mod='roja45quotations'}</h3>
        <span class="cross" title="{l s='Close window' mod='roja45quotations'}"></span>
        <div id="quotations_request_products" class="quotations_request column col-xs-12" style="display: none;">
        </div>
        {assign var=col_counter value=0}
        <div class="clearfix">
            <div id="quotations_request_column_{$col_counter|escape:'html':'UTF-8'}"
                 data-column="{$col_counter|escape:'html':'UTF-8'}"
                 class="quotations_request column col-xs-12 col-md-{$col_width|escape:'html':'UTF-8'}">
                <div class="quotations_request_column_container col-xs-12">
                    <div class="row">
                        {if (isset( $form.$col_counter.settings.column_heading ))}
                            <h3 class="page-subheading">{$form.$col_counter.settings.column_heading|escape:'html':'UTF-8'}</h3>
                        {/if}
                        {foreach $form.$col_counter.fields as $field}
                            {if $field.type=='TEXT'}
                                {include
                                file='./front/text_field.tpl'
                                id=$field.id
                                name=$field.name
                                field_label=$field.label
                                required=$field.required
                                class=$field.class
                                validationMethod=$field.validation
                                customregex=$field.custom_regex
                                size=$field.size
                                placeholder=$field.description
                                suffix=$field.suffix
                                prefix=$field.prefix
                                maxlength=$field.maxlength
                                }
                            {elseif $field.type=='TEXTAREA'}
                                {include
                                file='./front/textarea_field.tpl'
                                id=$field.id
                                name=$field.name
                                field_label=$field.label
                                required=$field.required
                                class=$field.class
                                placeholder=$field.description
                                field_description=$field.description
                                rows=$field.rows
                                }
                            {/if}
                        {/foreach}
                    </div>
                </div>
            </div>
        </div>
        <div class="clearfix">
            <div class="quotation_request buttons col-xs-12">
                <span class="required-field-indicator"><sup>&#42</sup>{l s='Required field' mod='roja45quotations'}</span>
                <div class="button-container">
                    <a class="ajax-request-quotation btn btn-addtocart button button-medium"
                       href="{$roja45quotations_controller|escape:'html':'UTF-8'}"
                       title="{l s='Send' mod='roja45quotations'}" rel="nofollow">
                        <span>{l s='Send' mod='roja45quotations'}</span>
                    </a>
                    <div class="customer-copy-checkbox">
                        <label class="field-label"
                               for="ROJA45_QUOTATIONS_CUSTOMER_COPY">{l s='Send copy to yourself' mod='roja45quotations'}</label>
                        <input type="checkbox" class="form-control" id="ROJA45_QUOTATIONS_CUSTOMER_COPY"
                               name="ROJA45_QUOTATIONS_CUSTOMER_COPY"/>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>