{*
* 2016 ROJA45.COM
* All rights reserved.
*
* DISCLAIMER
*
* Changing this file will render any support provided by us null and void.
*
*  @author 			Roja45 <support@roja45.com>
*  @copyright  		2016 roja45.com
*}

<div class="form-group">
    <label class="control-label {if isset($required) && $required}required{/if}" title="{$placeholder|escape:'html':'UTF-8'}">
        {$field_label|escape:'html':'UTF-8'}
    </label>
    <div class="row">
        <div class="col-xs-12">
            {if isset($maxchar) || isset($prefix) || isset($suffix)}
            <div class="input-group{if isset($class)} {$class|escape:'html':'UTF-8'}{/if}">
                {/if}
                {if isset($maxchar)}
                    <span id="{if isset($id)}{$id|escape:'html':'UTF-8'}{else}{$name|escape:'html':'UTF-8'}{/if}_counter" class="input-group-addon">
                    <span class="text-count-down">{$maxchar|escape:'html':'UTF-8'}</span>
                </span>
                {/if}
                {if isset($prefix)}
                    <span class="input-group-addon">{$prefix|escape:'html':'UTF-8'}</span>
                {/if}
                <input  type="text"
                        id="{if isset($id)}{$id|escape:'html':'UTF-8'}{else}{$name|escape:'html':'UTF-8'}{/if}"
                        name="{if isset($name)}{$name|escape:'html':'UTF-8'}{else}{$id|escape:'html':'UTF-8'}{/if}"
                        class="{if isset($class)}{$class|escape:'html':'UTF-8'}{/if}{if isset($required) && $required} is_required{/if}{if isset($validationMethod)} validate{/if} form-control"
                        value=""
                        {if isset($onkeyup)}onkeyup="{$onkeyup|escape:'html':'UTF-8'}{/if}"
                        {if isset($size)} size="{$size|escape:'html':'UTF-8'}"{/if}
                        {if isset($maxlength)} maxlength="{$maxlength|escape:'html':'UTF-8'}"{/if}
                        {if isset($required) && $required} required="required" {/if}
                        {if isset($validationMethod)} data-validate="{$validationMethod|escape:'html':'UTF-8'}" {/if}
                        {if isset($customregex)} data-custom-regex="{$customregex|escape:'html':'UTF-8'}" {/if}
                        {if isset($placeholder) && $placeholder} placeholder="{$placeholder|escape:'html':'UTF-8'}"{/if}
                />
                {if isset($suffix)}
                    <span class="input-group-addon">{$suffix|escape:'html':'UTF-8'}</span>
                {/if}
                {if isset($maxchar) || isset($prefix) || isset($suffix)}
            </div>
            {/if}
        </div>
    </div>
</div>