{*
* 2016 ROJA45
* All rights reserved.
*
* DISCLAIMER
*
* Changing this file will render any support provided by us null and void.
*
*  @author 			Roja45
*  @copyright  		2016 Roja45
*  @license          /license.txt
*}
{if $products|@count gt 0}
    <table class="table" bgcolor="#ffffff" style="width:100%">
        <tr>
            <td align="left" class="titleblock" style="padding:7px 0">
                <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-weight:500;font-size:24px;text-transform:uppercase;line-height:29px;">Requested Products</span>
            </td>
        </tr>
    </table>
{else}
    <table class="table" bgcolor="#ffffff" style="width:100%">
        <tr>
            <td align="left" class="titleblock" style="padding:7px 0">
                <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-weight:500;font-size:24px;text-transform:uppercase;line-height:25px;">Requested Product</span>
            </td>
        </tr>
    </table>
{/if}

<table class="table" bgcolor="#ffffff" style="width:100%">
    <tr>
        <td class="space_footer" style="padding:0!important"></td>
    </tr>
</table>

<table class="table" bgcolor="#ffffff" style="width:100%" cellSpacing=0 cellPadding=0 border=0>
    <tr>
        <td vAlign=top align=left>
            <table class="table table-recap" bgcolor="#ffffff" style="width:100%;border-collapse:collapse" cellSpacing=0 cellPadding=0 border=0>
                <tr>
                    <td vAlign=top>
                        {foreach $products as $product}
                        <table class="table" style="width:100%;border-collapse:collapse" cellSpacing=0 cellPadding=0 border=0>
                            <tr style="background-color: #f9f9f9;">
                                {if isset($product.product->image) && $product.product->image->id}
                                <td style="border:0px solid #D6D4D4;">
                                    <img src="{$product.product->image_tag|escape:'html':'UTF-8'}" alt="{$product.product->name|escape:'html':'UTF-8'}" class="img img-thumbnail" />
                                </td>
                                {/if}
                                <td style="width: 50%; border: 1px solid #dddddd;text-align: left;padding: 8px;line-height: 1.42857143;vertical-align: top;border-top: 1px solid #dddddd;">
                                    <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-size: 13px;">{$product.product->name|escape:'html':'UTF-8'}</span>
                                </td>
                                <td style="width: 50%; border: 1px solid #dddddd;text-align: left;padding: 8px;line-height: 1.42857143;vertical-align: top;border-top: 1px solid #dddddd;">
                                    <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-size: 13px;">{if $product.product->reference}{$product.product->reference|escape:'html':'UTF-8'}{/if}</span>
                                </td>
                                {if isset($product.attributes)}
                                    {foreach $product.attributes as $attribute}
                                    <td style="width: 50%; border: 1px solid #dddddd;text-align: left;padding: 8px;line-height: 1.42857143;vertical-align: top;border-top: 1px solid #dddddd;">
                                        <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-size: 13px;">{if $attribute.name}{$attribute.name|escape:'html':'UTF-8'}{/if}</span>
                                    </td>
                                    <td style="width: 50%; border: 1px solid #dddddd;text-align: left;padding: 8px;line-height: 1.42857143;vertical-align: top;border-top: 1px solid #dddddd;">
                                        <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-size: 13px;">{if $attribute.value}{$attribute.value|escape:'html':'UTF-8'}{/if}</span>
                                    </td>
                                    {/foreach}
                                {/if}
                            </tr>
                        </table>
                        {/foreach}
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>

<table class="table" bgcolor="#ffffff" style="width:100%">
    <tr>
        <td align="left" class="titleblock" style="padding:7px 0">
            <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-weight:500;font-size:24px;text-transform:uppercase;line-height:20px;">Customer Request Details</span>
        </td>
    </tr>
</table>
{foreach $request->columns as $column}
<table class="table" bgcolor="#ffffff" style="width:100%" cellSpacing=0 cellPadding=0 border=0>
    <tr>
        <td vAlign=top>
            {if (isset($column->heading))}
            <table class="table table-recap" bgcolor="#ffffff" style="width:100%;border-collapse:collapse" cellSpacing=0 cellPadding=0 border=0>
                <tr>
                    <td vAlign=top align=left>
                        <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-size: 20px;text-transform:uppercase;">{$column->heading|escape:'html':'UTF-8'}</span>
                    </td>
                </tr>
            </table>
            {/if}
            <table class="table table-recap" bgcolor="#ffffff" style="width:100%;border-collapse:collapse" cellSpacing=0 cellPadding=0 border=0>
                <tr>
                    <td vAlign=top>
                        <table class="table" bgcolor="#ffffff" style="width:100%" cellSpacing=0 cellPadding=0 border=0>
                            {foreach $column->fields as $field}
                                <tr style="background-color: #f9f9f9;">
                                    <td style="width: 50%; border: 1px solid #dddddd;text-align: left;padding: 8px;line-height: 1.42857143;vertical-align: top;border-top: 1px solid #dddddd;">
                                        <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-size: 13px;">{$field->label|escape:'html':'UTF-8'}</span>
                                    </td>
                                    <td style="width: 50%; border: 1px solid #dddddd;text-align: left;padding: 8px;line-height: 1.42857143;vertical-align: top;border-top: 1px solid #dddddd;">
                                        <span style="color: #444444;font-family: Helvetica, 'Open Sans', Arial, sans-serif;font-size: 13px;">{$field->value|escape:'html':'UTF-8'}</span>
                                    </td>
                                </tr>
                            {/foreach}
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<table class="table" bgcolor="#ffffff" style="width:100%">
    <tr>
        <td class="space_footer" style="padding:0!important"></td>
    </tr>
</table>
{/foreach}