{*
* 2016 ROJA45.COM
* All rights reserved.
*
* DISCLAIMER
*
* Changing this file will render any support provided by us null and void.
*
*  @author 			Roja45 <support@roja45.com>
*  @copyright  		2016 roja45.com
*}

<form id="text_field_form" class="field_elements_form defaultForm form-horizontal" data-form-type='TEXT' action="{$url|escape:'html':'UTF-8'}" method="post" enctype="multipart/form-data" novalidate=""  style="display:none;">
    <div class="panel" id="text_field_element">
        <div class="panel-heading">
            <i class="icon-cogs"></i>{l s='Text Field Settings' mod='roja45quotations'}
        </div>
        <div class="alert alert-danger" style="display:none">
        </div>
        <div class="form-wrapper">
            {include file='./text_field.tpl'
                name='form_element_name'
                field_label={l s='Field Name' mod='roja45quotations'}
                required='1'
                validationMethod='isText'
                maxlength='255'
                placeholder={l s='Enter the name of the field' mod='roja45quotations'}
                onfocusout='$(this).val($(this).val().replace(/\s/g, \'_\'));'
            }

            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Required' mod='roja45quotations'}">{l s='Required' mod='roja45quotations'}</span>
                </label>

                <div class="col-lg-9 ">
                    <select name="form_element_required" class="fixed-width-xl">
                        <option value="1">{l s='Yes' mod='roja45quotations'}</option>
                        <option value="0" selected="selected">{l s='No' mod='roja45quotations'}</option>
                    </select>
                </div>
            </div>
            {include file='./text_field.tpl'
            field_languages=$languages
            default_lang=$defaultFormLanguage
            id='form_element_label'
            name='form_element_label'
            field_label={l s='Label' mod='roja45quotations'}
            required='1'
            validationMethod='isText'
            maxlength='255'
            placeholder={l s='Enter Your Field Label' mod='roja45quotations'}
            }
            {include file='./text_field.tpl'
            field_languages=$languages
            default_lang=$defaultFormLanguage
            id='form_element_description'
            name='form_element_description'
            field_label={l s='Description' mod='roja45quotations'}
            required='1'
            validationMethod='isText'
            maxlength='255'
            placeholder={l s='Enter Your Field Description' mod='roja45quotations'}
            }
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Validation Method' mod='roja45quotations'}">{l s='Validation Method' mod='roja45quotations'}</span>
                </label>

                <div class="col-lg-9 ">
                    <select name="form_element_validation" class="fixed-width-xl">
                        <option value="none" selected="selected">{l s='No Validation' mod='roja45quotations'}</option>
                        <option value="isText">{l s='Is Text' mod='roja45quotations'}</option>
                        <option value="isNumber">{l s='Is Number' mod='roja45quotations'}</option>
                        <option value="isName">{l s='Is Name' mod='roja45quotations'}</option>
                        <option value="isEmail">{l s='Is Email' mod='roja45quotations'}</option>
                        <option value="isPhoneNumber">{l s='Is Phone Number' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="isAddress">{l s='Is Address' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="isCityName">{l s='Is City Name' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="isPostCode">{l s='Is Post Code' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="isMessage">{l s='Is Message' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="isDniLite">{l s='Is DNI' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="isPasswd">{l s='Is Password' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                        <option value="custom">{l s='Custom Regex' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</option>
                    </select>
                </div>
            </div>
            <script type="text/javascript">
                $(document).ready(function() {
                    $('select[name=form_element_validation]').change( function(e) {
                        var selected = $( "select[name=form_element_validation] option:selected").val();
                        if (selected == 'custom' ) {
                            $('input[name=form_element_validation_custom]').closest('.form-group').fadeIn();
                        } else {
                            $('input[name=form_element_validation_custom]').closest('.form-group').fadeOut();
                        }
                    }).trigger('change');
                });
            </script>
            {include
                file='./text_field.tpl'
                name='form_element_length'
                field_label={l s='Field Length' mod='roja45quotations'}
                required='0'
                validationMethod='isNumber'
                placeholder={l s='Enter the maximum length of the field' mod='roja45quotations'}
            }
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Enter a custom class to be applied' mod='roja45quotations'}">{l s='Custom Class' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</span>
                </label>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Enter a field prefix to be displayed' mod='roja45quotations'}">{l s='Field Prefix' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</span>
                </label>
            </div>
            <div class="form-group">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Enter a field suffix to be displayed' mod='roja45quotations'}">{l s='Field Suffix' mod='roja45quotations'}&nbsp;({l s='Plus & Pro Only' mod='roja45quotations'})</span>
                </label>
            </div>
        </div><!-- /.form-wrapper -->
        {include file='./footer.tpl'}
    </div><!-- /text_field_form -->
</form>